# TopBarMode enum

Visual mode used for the top bar.

Inheritance
  - Object
  - Enum
  - TopBarMode

## Constructors

TopBarMode()
  const

## Values

SOLID → const TopBarMode

  Display the top bar with a background color or with transparency.

GRADIENT → const TopBarMode

  Display the top bar with a gradient background color or a transparent gradient. The buttons will still be visible.

HIDDEN → const TopBarMode

  Hide the top bar completely.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<TopBarMode>
  A constant List of the values in this enum, in order of their declaration.